Bug 452930 - SNMP Indication Handler not included in 2.7 package
SNMP Indication Handler not included in 2.7 package
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: tog-pegasus (Show other bugs)
5.2
All Linux
low Severity medium
: rc
: ---
Assigned To: Vitezslav Crhonek
:
Depends On: 453952
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-25 20:42 EDT by Denise Eckstein
Modified: 2009-06-20 00:42 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:19:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed Modification to RedHat.OpenPegasus.Makefile (5.18 KB, patch)
2008-06-25 20:42 EDT, Denise Eckstein
no flags Details | Diff

  None (edit)
Description Denise Eckstein 2008-06-25 20:42:30 EDT
Description of problem:
Although PEGASUS_USE_NET_SNMP is set to true, the library for the SNMP 
Indication Handler is not included in the tog-pegasus-2.7.0-2.el5 RPM.

Version-Release number of selected component (if applicable):
tog-pegasus-2.7.0-2.el5

How reproducible:
The libsnmpIndicationHandler.so.1 file and the libsnmpIndicationHandler.so 
link should be included /usr/lib(64) after installing tog-pegasus-2.7.0-2.el5.

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
The RedHat.OpenPegasus.Makefile needs to be modified to build and package this 
library.  See attachment for the proposed change.
Comment 1 Denise Eckstein 2008-06-25 20:42:30 EDT
Created attachment 310305 [details]
Proposed Modification to RedHat.OpenPegasus.Makefile
Comment 2 Vitezslav Crhonek 2008-07-01 09:25:20 EDT
I added it in Fedora Rawhide package tog-pegasus-2.7.0-9.fc10. Please test if
possible, whether everything is fine.
Comment 3 Denise Dumas 2008-07-11 15:54:39 EDT
tog-pegasus is currently not an approved package for 5.3. We have requested
approval for a rebase to 2.7.2 (see BZ 453952). 
Comment 4 Denise Eckstein 2008-07-15 01:40:35 EDT
Thanks for letting me know.  The proposed patch affects a Red Hat Makefile, so 
if the rebase to 2.7.2 is approved, this patch would still need to be applied.
Comment 8 Miroslav Vadkerti 2008-11-27 08:25:26 EST
verified as fixed on all archs
Comment 9 Chris Ward 2008-11-28 02:14:49 EST
Partners, this bug should be fixed in the latest RHEL 5.3 Snapshot. We believe that you have some interest in its correct functionality, so we're making a friendly request to send us some testing feedback. 

If you have a chance to test it, please share with us your findings. If you have successfully VERIFIED the fix, please add PartnerVerified to the Bugzilla keywords, along with a description of the results. Thanks!
Comment 10 Chris Ward 2008-12-08 11:55:35 EST
Setting as verified, according to comment #8.
Comment 12 errata-xmlrpc 2009-01-20 17:19:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0250.html

Note You need to log in before you can comment on or make changes to this bug.